Ask Your Question
2

unitedrpms don't work in Fedora 29

asked 2018-11-07 00:43:44 -0600

rigbyk3 gravatar image

Hi, Have installed fedora 29 KDE, have installed unitedrpms with the method in: https://unitedrpms.github.io/#repository but don't work, when try to install atom (editor) with dnf:

sudo dnf install atom

The terminal shows:

unitedrpms 29 - x86_64                       4.6  B/s |  15  B     00:03    
Failed to synchronize cache for repo 'unitedrpms', ignoring this repo.
Last metadata expiration check: 0:10:07 ago on Wed 07 Nov 2018 12:24:38 AM CST.
No match for argument: atom
Error: Unable to find a match

then I tried dowloading from : https://github.com/UnitedRPMs/unitedr... the package unitedrpms-29-10.fc29.noarch.rpm

and install with command:

sudo rpm -ivh unitedrpms-29-10.fc29.noarch.rpm

but apear the same error message, how can install united rpms repo?

edit retag flag offensive close merge delete

Comments

1

@rigbyk3 , unitedrpm is third party repo and is not part of fedora, please contact unitedrpm

hhlp gravatar imagehhlp ( 2018-11-07 01:32:17 -0600 )edit

3 Answers

Sort by ยป oldest newest most voted
1

answered 2018-11-08 16:43:40 -0600

davidva gravatar image

updated 2018-11-08 16:47:40 -0600

@rigbyk3 . Hi, the issue comes from Fedora... variables $releasever and $basearch isn't detected in the mirrorlist and mirrors repository... The solution but no the fix is ready in the site... please install the updated repository in UnitedRPMs...

1) su

2) rpm --import https://raw.githubusercontent.com/UnitedRPMs/unitedrpms/master/URPMS-GPG-PUBLICKEY-Fedora-24

3) dnf -y install https://github.com/UnitedRPMs/unitedrpms/releases/download/11/unitedrpms-$(rpm -E %fedora)-11.fc$(rpm -E %fedora).noarch.rpm

4) dnf clean all && dnf -y update

If someone has time open a report on redhat bugzilla... Sure, UnitedRPMs is a third party repository; but errors can be caused by any/either ...

edit flag offensive delete link more

Comments

In the .repo file the mirror list refers to https://raw.githubusercontent.com/UnitedRPMs/unitedrpms/master/mirrorlist_$releasever_x86_64.txt and when substituting $releasever by 29 you get a 404 error.

villykruse gravatar imagevillykruse ( 2018-11-09 00:08:04 -0600 )edit

@villykruse sure, but replace the original mirrorlist... https://raw.githubusercontent.com/Uni...

davidva gravatar imagedavidva ( 2018-11-09 00:46:29 -0600 )edit

Also if you replace mirrorlist=https://raw.githubusercontent.com/UnitedRPMs/unitedrpms/master/mirrorlist_F29_x86_64.txt sure it works because not includes variables... but you can't upgrade from F28-F29 or Rawhide because you will use the specific release if you don't change manually the repository...

davidva gravatar imagedavidva ( 2018-11-09 01:07:07 -0600 )edit

So the mirrorlist entry is missing the "F" character before the "$releasever" variable. $releasever is just 29, not F29.

villykruse gravatar imagevillykruse ( 2018-11-09 03:02:15 -0600 )edit

Hey @davidva really work!!!, many thanks so useful your answer, have acces to cool software.

rigbyk3 gravatar imagerigbyk3 ( 2018-11-09 19:48:16 -0600 )edit
0

answered 2018-11-07 11:25:48 -0600

florian gravatar image

Don't install Atom from unitedrpms. Install it from here: https://flathub.org/apps/details/io.a...

edit flag offensive delete link more
0

answered 2018-11-07 01:40:31 -0600

hhlp gravatar image

don't use united to install Atom, instal from they repo directly, just follow this guide from Atom :

  1. platform-linux

Resume :

Fedora (DNF)

sudo rpm --import https://packagecloud.io/AtomEditor/atom/gpgkey
sudo sh -c 'echo -e "[Atom]\nname=Atom Editor\nbaseurl=https://packagecloud.io/AtomEditor/atom/el/7/\$basearch\nenabled=1\ngpgcheck=0\nrepo_gpgcheck=1\ngpgkey=https://packagecloud.io/AtomEditor/atom/gpgkey" > /etc/yum.repos.d/atom.repo'

You can now install Atom using dnf :

Install Atom

sudo dnf install atom

Alternatively, you can download the Atom .rpm package and install it directly:

sudo dnf install -y atom.x86_64.rpm

Regards.,

edit flag offensive delete link more

Comments

1

Thanks, your guide is usefull but in Fedora 28 tried install atom directly from official and don't work, I'll try in already 29 installed, in other hand unitedrpms have other packs that I like, some are kdenlive, electron, opera browser, and others.

rigbyk3 gravatar imagerigbyk3 ( 2018-11-07 09:14:27 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-11-07 00:43:44 -0600

Seen: 94 times

Last updated: Nov 08